module ModTest1;

export
  ModTest = (i, DoTest);

var
  i: integer;

procedure DoTest;

end;

procedure DoTest;
begin
  i := -9;
end;

end.


(* FIXED: Modules in same file as program did not like --automake. *)

program Test(output);

import
  ModTest;

begin
  DoTest;
  if i = -9
    then  writeln('OK')
    else  writeln('failed');
end.
